get
https://partner.gupshup.io/partner/bizgate/app//flows//assets
Returns the JSON asset bundle that defines the screens and logic of a WhatsApp Flow.
Request parameters
Path parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| appId | Identifier of the WhatsApp app the call acts on. | 6f414190-d45c-4671-bca1-fb6c3018cb13 | String | Required |
| flowId | Identifier of the WhatsApp Flow. | 1616289422261049 | String | Required |
Sample cURL — Get flow JSON assets.
curl --request GET \
--url 'https://partner.gupshup.io/partner/bizgate/app/6f414190-d45c-4671-bca1-fb6c3018cb13/flows/1616289422261049/assets' \
--header 'Authorization: Bearer <UT>' \
--header 'Accept: application/json'Sample success response (200)
{
"status": "success",
"data": [
{
"asset_type": "FLOW_JSON",
"download_url": "https://mmg.whatsapp.net/m1/v/t24/An9xSDGdyGcW0nTRCOYpSKqDhpPeFj1_tKBxswuOYC6DzClzkb3K28561rl0WVKF?ccb=10-5&oe=669CC7C9&_nc_sid=471a72",
"name": "flow.json"
}
]
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…